From: "Lars Wendler" <polynomial-c@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: media-sound/murmur/
Date: Sat, 6 Aug 2016 17:04:17 +0000 (UTC) [thread overview]
Message-ID: <1470503053.1a3052c935489c65da9cb064fd5acb4d6efe7a7d.polynomial-c@gentoo> (raw)
commit: 1a3052c935489c65da9cb064fd5acb4d6efe7a7d
Author: Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Sat Aug 6 17:04:00 2016 +0000
Commit: Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Sat Aug 6 17:04:13 2016 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1a3052c9
media-sound/murmur: Revbump to fix permission of murmur.ini (bug #559362).
Package-Manager: portage-2.3.0
Signed-off-by: Lars Wendler <polynomial-c <AT> gentoo.org>
media-sound/murmur/murmur-1.2.16-r1.ebuild | 132 +++++++++++++++++++++++++++++
1 file changed, 132 insertions(+)
diff --git a/media-sound/murmur/murmur-1.2.16-r1.ebuild b/media-sound/murmur/murmur-1.2.16-r1.ebuild
new file mode 100644
index 0000000..616e69b
--- /dev/null
+++ b/media-sound/murmur/murmur-1.2.16-r1.ebuild
@@ -0,0 +1,132 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+inherit eutils qmake-utils systemd user readme.gentoo-r1
+
+MY_P="mumble-${PV/_/~}"
+
+DESCRIPTION="Mumble is an open source, low-latency, high quality voice chat software"
+HOMEPAGE="http://mumble.sourceforge.net/"
+SRC_URI="http://mumble.info/snapshot/${MY_P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~ia64 ~x86"
+IUSE="+dbus debug +ice pch zeroconf"
+
+RDEPEND=">=dev-libs/openssl-1.0.0b:0=
+ >=dev-libs/protobuf-2.2.0
+ sys-apps/lsb-release
+ >=sys-libs/libcap-2.15
+ dev-qt/qtcore:4[ssl]
+ || ( dev-qt/qtsql:4[sqlite] dev-qt/qtsql:4[mysql] )
+ dev-qt/qtxmlpatterns:4
+ dbus? ( dev-qt/qtdbus:4 )
+ ice? ( dev-libs/Ice )
+ zeroconf? ( net-dns/avahi[mdnsresponder-compat] )"
+
+DEPEND="${RDEPEND}
+ >=dev-libs/boost-1.41.0
+ virtual/pkgconfig"
+
+S="${WORKDIR}/${MY_P}"
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-1.2.4-ice-3.5.0-compat.patch
+ "${FILESDIR}"/${PN}-1.2.4-ice-3.5.1-compat.patch
+)
+
+DOC_CONTENTS="
+ Useful scripts are located in /usr/share/doc/${PF}/scripts.\n
+ Please execute:\n
+ murmurd -ini /etc/murmur/murmur.ini -supw <pw>\n
+ chown murmur:murmur /var/lib/murmur/murmur.sqlite\n
+ to set the build-in 'SuperUser' password before starting murmur.
+ Please restart dbus before starting murmur, or else dbus
+ registration will fail.
+"
+
+pkg_setup() {
+ enewgroup murmur
+ enewuser murmur -1 -1 /var/lib/murmur murmur
+}
+
+src_prepare() {
+ default
+
+ sed \
+ -e 's:mumble-server:murmur:g' \
+ -e 's:/var/run:/run:g' \
+ -i "${S}"/scripts/murmur.{conf,ini.system} || die
+}
+
+src_configure() {
+ local conf_add
+
+ use dbus || conf_add="${conf_add} no-dbus"
+ use debug && conf_add="${conf_add} symbols debug" || conf_add="${conf_add} release"
+ use ice || conf_add="${conf_add} no-ice"
+ use pch || conf_add="${conf_add} no-pch"
+ use zeroconf || conf_add="${conf_add} no-bonjour"
+
+ eqmake4 main.pro -recursive \
+ CONFIG+="${conf_add} no-client"
+}
+
+src_install() {
+ dodoc README CHANGES
+
+ docinto scripts
+ dodoc scripts/*.php scripts/*.pl
+
+ local dir
+ if use debug; then
+ dir=debug
+ else
+ dir=release
+ fi
+
+ dobin "${dir}"/murmurd
+
+ insinto /etc/murmur/
+ newins scripts/murmur.ini.system murmur.ini
+
+ insinto /etc/logrotate.d/
+ newins "${FILESDIR}"/murmur.logrotate murmur
+
+ insinto /etc/dbus-1/system.d/
+ doins scripts/murmur.conf
+
+ insinto /usr/share/murmur/
+ doins src/murmur/Murmur.ice
+
+ newinitd "${FILESDIR}"/murmur.initd-r1 murmur
+ newconfd "${FILESDIR}"/murmur.confd murmur
+
+ if use dbus; then
+ systemd_newunit "${FILESDIR}"/murmurd-dbus.service "${PN}".service
+ systemd_newtmpfilesd "${FILESDIR}"/murmurd-dbus.tmpfiles "${PN}".conf
+ else
+ systemd_newunit "${FILESDIR}"/murmurd-no-dbus.service "${PN}".service
+ fi
+
+ keepdir /var/lib/murmur /var/log/murmur
+ fowners -R murmur /var/lib/murmur /var/log/murmur
+ fperms 750 /var/lib/murmur /var/log/murmur
+
+ # Fix permissions on config file as it might contain passwords.
+ # (bug #559362)
+ fowners root:murmur /etc/murmur/murmur.ini
+ fperms 640 /etc/murmur/murmur.ini
+
+ doman man/murmurd.1
+
+ readme.gentoo_create_doc
+}
+
+pkg_postinst() {
+ readme.gentoo_print_elog
+}
next reply other threads:[~2016-08-06 17:04 UTC|newest]
Thread overview: 65+ messages / expand[flat|nested] mbox.gz Atom feed top
2016-08-06 17:04 Lars Wendler [this message]
-- strict thread matches above, loose matches on Subject: below --
2022-06-29 14:29 [gentoo-commits] repo/gentoo:master commit in: media-sound/murmur/ Kenton Groombridge
2022-03-08 12:17 Lars Wendler
2022-03-08 12:17 Lars Wendler
2022-02-01 6:18 Lars Wendler
2022-01-31 10:18 Lars Wendler
2022-01-31 9:19 Lars Wendler
2022-01-31 9:19 Lars Wendler
2021-02-10 17:59 Lars Wendler
2021-02-10 17:59 Lars Wendler
2020-12-20 12:34 Sam James
2020-12-02 23:31 Thomas Deutschmann
2020-11-17 9:01 Lars Wendler
2020-10-07 13:22 Lars Wendler
2020-07-09 8:48 Lars Wendler
2020-06-25 14:03 Lars Wendler
2020-06-21 17:17 Agostino Sarubbo
2020-06-20 13:48 Thomas Deutschmann
2020-06-15 9:56 Lars Wendler
2020-05-05 15:04 Lars Wendler
2019-11-20 9:07 Lars Wendler
2019-09-08 13:46 Lars Wendler
2019-09-08 13:46 Lars Wendler
2019-08-13 18:51 Lars Wendler
2019-08-13 18:17 Lars Wendler
2019-08-13 16:40 Lars Wendler
2019-08-13 16:40 Lars Wendler
2019-07-11 8:31 Lars Wendler
2019-07-11 8:31 Lars Wendler
2019-07-11 8:31 Lars Wendler
2019-06-26 9:04 Lars Wendler
2019-06-26 9:04 Lars Wendler
2019-06-26 8:15 Lars Wendler
2019-03-20 20:33 Lars Wendler
2019-03-20 20:33 Lars Wendler
2019-03-13 15:33 Lars Wendler
2019-03-13 15:33 Lars Wendler
2018-04-12 9:41 Lars Wendler
2018-03-19 15:00 Lars Wendler
2018-03-19 11:11 Lars Wendler
2018-03-19 11:11 Lars Wendler
2018-03-17 6:45 Matt Turner
2017-02-23 12:38 Michael Weber
2017-01-30 20:53 Lars Wendler
2017-01-18 16:51 Lars Wendler
2016-12-15 10:29 Lars Wendler
2016-12-15 10:29 Lars Wendler
2016-12-15 8:59 Lars Wendler
2016-12-15 8:59 Lars Wendler
2016-09-28 8:40 Lars Wendler
2016-09-28 8:40 Lars Wendler
2016-08-06 14:33 Lars Wendler
2016-08-06 11:37 Pacho Ramos
2016-05-09 14:08 Lars Wendler
2016-05-09 14:08 Lars Wendler
2016-04-19 21:16 Ian Stakenvicius
2016-03-09 12:46 Lars Wendler
2016-03-09 12:46 Lars Wendler
2016-03-01 16:14 Lars Wendler
2016-03-01 16:14 Lars Wendler
2016-02-09 14:30 Lars Wendler
2015-12-24 15:55 Lars Wendler
2015-12-16 10:50 Lars Wendler
2015-12-16 10:50 Lars Wendler
2015-10-02 8:42 Lars Wendler
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1470503053.1a3052c935489c65da9cb064fd5acb4d6efe7a7d.polynomial-c@gentoo \
--to=polynomial-c@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox